The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Tasks

This section describes the endpoints for managing tasks.

Endpoint - /issues/

Use this endpoint to manage tasks.

Refer to the querying, creating, and update pages for more details.

Get activities of a task

GET /bcf/issues/{issueId}/comments

Post a new comment to a task

POST /bcf/issues/{issueId}/comments/upload

Use multipart form-data to send the comment payload. The first part contains the JSON payload of the comment, and the second part contains an attached image (optional).

Example

curl --location 'https://us-ecodomus-services.siemens.com/api/bcf/issues/d7ea5b6e-7ae8-4ea4-83a2-c2f78e903e18/comments/upload' \
--header 'clientname: ABC' \
--header 'Authorization: bearer 3Z0Qx...' \
--header 'projectId: d7b3ae7a-b72f-4430-aaaf-063cd3939b37' \
--form 'a="{\"Comment\": \"With Image\"}"' \
--form 'b=@"/D:/Downloads/image.png"'

Change task status

PUT /workflows/issues/move/{issueId}/from/{statusFrom}/to/{statusTo}

This endpoint changes the status of the task with the given ID.